summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-21 11:07:31 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-21 11:33:54 +0200
commit4831d334416d45bf4a2e102681eca67c625e2cc5 (patch)
treee97f884947aabd3ab29b4de0f6538ab0ff63bb43 /dev-ml/parmap
parentdev-ml/cppo: remove old. (diff)
downloadgentoo-4831d334416d45bf4a2e102681eca67c625e2cc5.tar.gz
gentoo-4831d334416d45bf4a2e102681eca67c625e2cc5.tar.bz2
gentoo-4831d334416d45bf4a2e102681eca67c625e2cc5.zip
dev-ml/parmap: bump to 1.0_rc7
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ml/parmap')
-rw-r--r--dev-ml/parmap/Manifest1
-rw-r--r--dev-ml/parmap/parmap-1.0_rc7.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ml/parmap/Manifest b/dev-ml/parmap/Manifest
index 643dd716bf5..6fe122f71f4 100644
--- a/dev-ml/parmap/Manifest
+++ b/dev-ml/parmap/Manifest
@@ -1 +1,2 @@
DIST parmap-1.0_rc6.tar.gz 97083 SHA256 25e2eeb2ec8b1dedc8067443ddcddf4ab0ff2e3821da888338146af69e8fd9e6 SHA512 5378a8ce03d3a4d139d06093bd29fa83eca13b6e74be14d379337c9a08ebac39b23920925375c753c63c7f62970f7f899a9d6cbf8a5001b262293cf52e9ea5c1 WHIRLPOOL 28c11c3ef9d4b0fb56fde988dc62e2993a313445005b657838cad41e9768a13a65535d69d81cac792bc8a95038521fe130488e25dcf87ef25d61d9533fea6729
+DIST parmap-1.0_rc7.tar.gz 97799 SHA256 b993d47b8b8e5342839b851b46aba52264b4f8c527db08f3124ed7a7de7e1912 SHA512 50ac96f0f8b835298958f1a8ca65a2e488eab9c86f5fd57b43d5cd8145c71594a537add568dbe8f471d41157701769e35d0e992b07b430252623b72d7488d562 WHIRLPOOL 54842d45a7495316f42ae63de08db88512adddc1ee743a70de5a899d4c35e7a2e062bfc6f9456c65a32d2279784eb291f0299fd9b785e59e3607dec193f7f01d
diff --git a/dev-ml/parmap/parmap-1.0_rc7.ebuild b/dev-ml/parmap/parmap-1.0_rc7.ebuild
new file mode 100644
index 00000000000..c5b0a5f13ae
--- /dev/null
+++ b/dev-ml/parmap/parmap-1.0_rc7.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit multilib
+
+MY_PV="${PV/_/-}"
+DESCRIPTION="Library allowing to exploit multicore architectures for OCaml programs with minimal modifications"
+HOMEPAGE="http://www.dicosmo.org/code/parmap/"
+SRC_URI="https://github.com/rdicosmo/parmap/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+ dev-ml/findlib
+ dev-ml/ocaml-autoconf"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_test() {
+ mkdir "${WORKDIR}/tmpinstall" || die
+ emake \
+ OCAMLLIBDIR="ocaml" \
+ DESTDIR="${WORKDIR}/tmpinstall" \
+ install
+ export OCAMLPATH="${WORKDIR}/tmpinstall/ocaml"
+ emake tests
+ cd _build/tests || die
+ for i in $(find . -type f -executable) ; do
+ ${i} || die
+ done
+}
+
+src_install() {
+ emake \
+ OCAMLLIBDIR="$(get_libdir)/ocaml" \
+ MANDIR="${ED}/usr/share/man/man3o" \
+ DESTDIR="${ED}/usr" \
+ install
+ dodoc AUTHORS ChangeLog README
+}